<template>
  <div id="app">
    <div id="nav" v-if="isLoggedIn()">
      <div>
        <span class="brand">kuiq</span>
      </div>
      <div>
        <button class="logout" @click="logout">
          <i class="fa fa-sign-out"></i>
          Sign out
        </button>
      </div>
    </div>
    <div :class="isLoggedIn() ? 'container' : ''">
      <router-view />
    </div>
  </div>
</template>

<script>
import Constants from "./lib/Constants";

export default {
  computed: {},

  methods: {
    isLoggedIn() {
      return localStorage.getItem(Constants.APP_USER) !== null;
    },

    logout() {
      localStorage.removeItem(Constants.APP_USER);
      location.href = "";
    },
  },
};
</script>

<style>
@import url("./assets/main.css");
</style>
